#
# plugins.conf -- weechat v1.1
#

[var]
fifo.fifo = "on"
guile.check_license = "off"
lua.check_license = "off"
perl.check_license = "off"
perl.pushover.blacklist = ""
perl.pushover.enabled = "on"
perl.pushover.nma_apikey = ""
perl.pushover.only_if_away = "off"
perl.pushover.only_if_inactive = "off"
perl.pushover.pb_apikey = ""
perl.pushover.pb_device_iden = ""
perl.pushover.priority = ""
perl.pushover.redact_priv_msg = "off"
perl.pushover.service = "pushover"
perl.pushover.show_highlights = "on"
perl.pushover.show_priv_msg = "on"
perl.pushover.sound = ""
perl.pushover.token = "${sec.data.pushover.token}"
perl.pushover.user = "${sec.data.pushover.user}"
perl.pushover.verbose = "1"
python.check_license = "off"
python.urlbar.ignore = "grep"
python.urlbar.remember_amount = "25"
python.urlbar.show_buffername = "on"
python.urlbar.show_index = "on"
python.urlbar.show_nick = "on"
python.urlbar.show_timestamp = "on"
python.urlbar.time_format = "%H:%M"
python.urlbar.use_popup = "on"
python.urlbar.visible_amount = "5"
python.urlbar.visible_seconds = "5"
ruby.check_license = "off"
tcl.check_license = "off"

[desc]
perl.pushover.blacklist = "Comma separated list of buffers (full name) to blacklist for notifications (wildcard "*" is allowed, name beginning with "!" is excluded) (default: "")"
perl.pushover.enabled = "Turn script on or off (default: "on")"
perl.pushover.nma_apikey = "nma API key (default: "")"
perl.pushover.only_if_away = "Notify only if away status is active (default: "off")"
perl.pushover.only_if_inactive = "Notify only if buffer is not the active (current) buffer (default: "off")"
perl.pushover.pb_apikey = "Pushbullet API key (default: "")"
perl.pushover.pb_device_iden = "Device Iden of pushbullet device (default: "")"
perl.pushover.priority = "priority (empty for default) (default: "")"
perl.pushover.redact_priv_msg = "When receiving private message notifications, hide the actual message text (default: "off")"
perl.pushover.service = "Notification service to use. Multiple services may be supplied as comma separated list. (supported services: pushover, nma, pushbullet) (default: "pushover")"
perl.pushover.show_highlights = "Notify on highlights (default: "on")"
perl.pushover.show_priv_msg = "Notify on private messages (default: "on")"
perl.pushover.sound = "Sound (empty for default) (default: "")"
perl.pushover.token = "pushover API token/key (You may feel free to use your own token, so you get your own monthly quota of messages without being affected by other users. See also: https://pushover.net/faq#overview-distribution ) (default: "ajEX9RWhxs6NgeXFJxSK2jmpY54C9S")"
perl.pushover.user = "pushover user key (default: "")"
perl.pushover.verbose = "Verbosity level (0 = silently ignore any errors, 1 = display brief error, 2 = display full server response) (default: "1")"
